org.activiti.engine.delegate.event.impl

## Class ActivitiProcessStartedEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiEntityEventImpl
    - - org.activiti.engine.delegate.event.impl.ActivitiEntityWithVariablesEventImpl
      - - org.activiti.engine.delegate.event.impl.ActivitiProcessStartedEventImpl

- All Implemented Interfaces:
    ActivitiEntityEvent, ActivitiEntityWithVariablesEvent, ActivitiEvent, ActivitiProcessStartedEvent

      public class ActivitiProcessStartedEventImpl
      extends ActivitiEntityWithVariablesEventImpl
      implements ActivitiProcessStartedEvent

  An `ActivitiCancelledEvent` implementation.
  Author:
    martin.grofcik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `nestedProcessDefinitionId`
    `protected String` | `nestedProcessInstanceId`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEntityWithVariablesEventImpl

      `localScope, variables`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEntityEventImpl

      `entity`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiProcessStartedEventImpl(Object entity, Map variables, boolean localScope)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNestedProcessDefinitionId()`
    `String` | `getNestedProcessInstanceId()`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEntityWithVariablesEventImpl

      `getVariables, isLocalScope`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEntityEventImpl

      `getEntity`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEntityWithVariablesEvent

      `getVariables, isLocalScope`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEntityEvent

      `getEntity`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### nestedProcessInstanceId

          protected final String nestedProcessInstanceId

    - #### nestedProcessDefinitionId

          protected final String nestedProcessDefinitionId

  - ### Constructor Detail

    - #### ActivitiProcessStartedEventImpl

          public ActivitiProcessStartedEventImpl(Object entity,
                                                 Map variables,
                                                 boolean localScope)

  - ### Method Detail

    - #### getNestedProcessInstanceId

          public String getNestedProcessInstanceId()

      Specified by:
        `getNestedProcessInstanceId` in interface `ActivitiProcessStartedEvent`
      Returns:
        the id of the process instance of the nested process that starts the current process instance, or null if the current process instance is not started into a nested process.

    - #### getNestedProcessDefinitionId

          public String getNestedProcessDefinitionId()

      Specified by:
        `getNestedProcessDefinitionId` in interface `ActivitiProcessStartedEvent`
      Returns:
        the id of the process definition of the nested process that starts the current process instance, or null if the current process instance is not started into a nested process.

Copyright © 2016 Alfresco. All rights reserved.